Debian Bug report logs - #628670
general: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Michalxo <michalxo@gmail.com>

Date: Tue, 31 May 2011 08:45:05 UTC

Severity: important

Tags: fixed-upstream

Found in version 2.6.38-2

Fixed in version 3.0.0-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, michalxo@gmail.com, debian-devel@lists.debian.org:
Bug#628670; Package general. (Tue, 31 May 2011 08:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michalxo <michalxo@gmail.com>:
New Bug report received and forwarded. Copy sent to michalxo@gmail.com, debian-devel@lists.debian.org. (Tue, 31 May 2011 08:45:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michalxo <michalxo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Tue, 31 May 2011 10:41:15 +0200
Package: general
Severity: important

Hello,
 I am experiencing some problem with wifi drivers rtl8192ce supported by kernel
6.38-2-amd64. Waking up from suspend last probably 2-3minutes with all black
screen. When system finally manages to wake up I see messages about "kernel
bugs reported to maintaniner", but I have no active connection that time, so
nothing got send.

 I am 99% positive, that bug is connected to wifi driver, cause with realtek's
official or no drivers it woke up in less then 5 secs.

 Thank you, Mich



-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-bpo.2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#628670; Package general. (Tue, 31 May 2011 13:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Tue, 31 May 2011 13:45:11 GMT) Full text and rfc822 format available.

Message #10 received at 628670@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michalxo <michalxo@gmail.com>, 628670@bugs.debian.org
Subject: Re: Bug#628670: general: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Tue, 31 May 2011 14:41:27 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-05-31 at 10:41 +0200, Michalxo wrote:
> Package: general
> Severity: important
> 
> Hello,
>  I am experiencing some problem with wifi drivers rtl8192ce supported by kernel
> 6.38-2-amd64. Waking up from suspend last probably 2-3minutes with all black
> screen. When system finally manages to wake up I see messages about "kernel
> bugs reported to maintaniner", but I have no active connection that time, so
> nothing got send.
> 
>  I am 99% positive, that bug is connected to wifi driver, cause with realtek's
> official or no drivers it woke up in less then 5 secs.

Please send the kernel log (output of dmesg) after booting, suspending
and resuming.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'general' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 13:45:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.38-2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 13:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#628670; Package linux-2.6. (Wed, 01 Jun 2011 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Tóth <michalxo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 01 Jun 2011 20:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 628670@bugs.debian.org (full text, mbox):

From: Michal Tóth <michalxo@gmail.com>
To: 628670@bugs.debian.org
Subject: Bug#628670: general: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Wed, 1 Jun 2011 22:54:20 +0200
[Message part 1 (text/plain, inline)]
Fresh boot, suspend via clickable "shutdown" menu (did not work quite well,
dunno why), then finally suspend via closed lid, successful wake up which
took around 2 mins and finally removing and modprobing wifi modules to put
wifi on workable state.
Dmesg -> See attached file.

Thank you in advance
 Mich


2011/5/31 Ben Hutchings <ben@decadent.org.uk>

> On Tue, 2011-05-31 at 10:41 +0200, Michalxo wrote:
> > Package: general
> > Severity: important
> >
> > Hello,
> >  I am experiencing some problem with wifi drivers rtl8192ce supported by
> kernel
> > 6.38-2-amd64. Waking up from suspend last probably 2-3minutes with all
> black
> > screen. When system finally manages to wake up I see messages about
> "kernel
> > bugs reported to maintaniner", but I have no active connection that time,
> so
> > nothing got send.
> >
> >  I am 99% positive, that bug is connected to wifi driver, cause with
> realtek's
> > official or no drivers it woke up in less then 5 secs.
>
> Please send the kernel log (output of dmesg) after booting, suspending
> and resuming.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>



-- 
S pozdravom
           Michal



-- 
S pozdravom
           Michal
[Message part 2 (text/html, inline)]
[dmesg (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#628670; Package linux-2.6. (Fri, 03 Jun 2011 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Jun 2011 04:09:03 GMT) Full text and rfc822 format available.

Message #24 received at 628670@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michal Tóth <michalxo@gmail.com>, 628670@bugs.debian.org
Subject: Re: Bug#628670: general: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Fri, 03 Jun 2011 05:07:17 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-06-01 at 22:54 +0200, Michal Tóth wrote:
> Fresh boot, suspend via clickable "shutdown" menu (did not work quite
> well, dunno why), then finally suspend via closed lid, successful wake
> up which took around 2 mins and finally removing and modprobing wifi
> modules to put wifi on workable state. 
> Dmesg -> See attached file.

You are missing firmware for r8169 and rtl8192ce drivers.  This is
packaged in 'firmware-realtek'.

The firmware requested by r8169 is optional; it's actually a patch that
fixes compatibility with some switches and computers.  In Linux 2.6.39
(now in sid) the driver will not try to load it during resume.

The firmware requested by rtl8192ce is required.  The driver should not
try again to load it during resume, but it appears to do so even if the
firmware was successfully loaded previously.  This appears to be fixed
in Linux 3.0-rc1, but I'm not sure we can easily apply the fix to Linux
2.6.39.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 03 Jun 2011 04:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#628670; Package linux-2.6. (Fri, 03 Jun 2011 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Tóth <michalxo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Jun 2011 20:45:06 GMT) Full text and rfc822 format available.

Message #31 received at 628670@bugs.debian.org (full text, mbox):

From: Michal Tóth <michalxo@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 628670@bugs.debian.org
Subject: Re: Bug#628670: general: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Fri, 3 Jun 2011 22:43:09 +0200
[Message part 1 (text/plain, inline)]
Well, that's interesting... my apt-cache says, that I have it installed..
firmware-realtek:
  Installed: 0.29
  Candidate: 0.29
  Version table:
 *** 0.29 0
        100 /var/lib/dpkg/status

Any other ideas what to do? Should I try testing or sid? I have a feeling,
that laptop has absolutely frozen twice lately because of drivers.. I heard
only "BEEP" signal and laptop froze.

2011/6/3 Ben Hutchings <ben@decadent.org.uk>

> On Wed, 2011-06-01 at 22:54 +0200, Michal Tóth wrote:
> > Fresh boot, suspend via clickable "shutdown" menu (did not work quite
> > well, dunno why), then finally suspend via closed lid, successful wake
> > up which took around 2 mins and finally removing and modprobing wifi
> > modules to put wifi on workable state.
> > Dmesg -> See attached file.
>
> You are missing firmware for r8169 and rtl8192ce drivers.  This is
> packaged in 'firmware-realtek'.
>
> The firmware requested by r8169 is optional; it's actually a patch that
> fixes compatibility with some switches and computers.  In Linux 2.6.39
> (now in sid) the driver will not try to load it during resume.
>
> The firmware requested by rtl8192ce is required.  The driver should not
> try again to load it during resume, but it appears to do so even if the
> firmware was successfully loaded previously.  This appears to be fixed
> in Linux 3.0-rc1, but I'm not sure we can easily apply the fix to Linux
> 2.6.39.
>
> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>



-- 
S pozdravom
           Michal
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#628670; Package linux-2.6. (Fri, 03 Jun 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Jun 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #36 received at 628670@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michal Tóth <michalxo@gmail.com>
Cc: 628670@bugs.debian.org
Subject: Re: Bug#628670: general: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Fri, 03 Jun 2011 23:06:25 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-06-03 at 22:43 +0200, Michal Tóth wrote:
> Well, that's interesting... my apt-cache says, that I have it
> installed..
> firmware-realtek:
>   Installed: 0.29
>   Candidate: 0.29
>   Version table:
>  *** 0.29 0
>         100 /var/lib/dpkg/status

You need version 0.30 which is the current version in testing/sid.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#628670; Package linux-2.6. (Wed, 04 Apr 2012 21:30:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 Apr 2012 21:30:26 GMT) Full text and rfc822 format available.

Message #41 received at 628670@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Michal Tóth <michalxo@gmail.com>, 628670@bugs.debian.org
Subject: Re: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Wed, 4 Apr 2012 16:29:22 -0500
Michal Tóth wrote:

>  I am experiencing some problem with wifi drivers rtl8192ce supported by kernel
> 6.38-2-amd64. Waking up from suspend last probably 2-3minutes with all black
> screen. When system finally manages to wake up I see messages about "kernel
> bugs reported to maintaniner", but I have no active connection that time, so
> nothing got send.

Ben Hutchings wrote:

> The firmware requested by r8169 is optional; it's actually a patch that
> fixes compatibility with some switches and computers.  In Linux 2.6.39
> (now in sid) the driver will not try to load it during resume.
>
> The firmware requested by rtl8192ce is required.  The driver should not
> try again to load it during resume, but it appears to do so even if the
> firmware was successfully loaded previously.  This appears to be fixed
> in Linux 3.0-rc1, but I'm not sure we can easily apply the fix to Linux
> 2.6.39.

Please forgive my ignorance: do I understand correctly that Michal's
symptoms should be gone now?

Thanks,
Jonathan




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 05 Apr 2012 11:12:06 GMT) Full text and rfc822 format available.

Notification sent to Michalxo <michalxo@gmail.com>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 11:12:17 GMT) Full text and rfc822 format available.

Message #46 received at 628670-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Michal Tóth <michalxo@gmail.com>
Cc: 628670-done@bugs.debian.org
Subject: Re: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Thu, 5 Apr 2012 06:08:10 -0500
Version: 3.0.0-1

Michal Tóth wrote:

> I am using 3.xx kernel and it worked very fast even (iirc) with 2.6.4x kernel.
> definitely use 3.x ;)

Thanks!  Closing.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#628670; Package linux-2.6. (Sat, 07 Apr 2012 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 07 Apr 2012 03:06:03 GMT) Full text and rfc822 format available.

Message #51 received at 628670@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Michal Tóth <michalxo@gmail.com>, 628670@bugs.debian.org
Subject: Re: Long waking up times on Intel HD gpu and rtl8192ce wireless drivers
Date: Sat, 07 Apr 2012 04:03:32 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2012-04-04 at 16:29 -0500, Jonathan Nieder wrote:
> Michal Tóth wrote:
> 
> >  I am experiencing some problem with wifi drivers rtl8192ce supported by kernel
> > 6.38-2-amd64. Waking up from suspend last probably 2-3minutes with all black
> > screen. When system finally manages to wake up I see messages about "kernel
> > bugs reported to maintaniner", but I have no active connection that time, so
> > nothing got send.
> 
> Ben Hutchings wrote:
> 
> > The firmware requested by r8169 is optional; it's actually a patch that
> > fixes compatibility with some switches and computers.  In Linux 2.6.39
> > (now in sid) the driver will not try to load it during resume.
> >
> > The firmware requested by rtl8192ce is required.  The driver should not
> > try again to load it during resume, but it appears to do so even if the
> > firmware was successfully loaded previously.  This appears to be fixed
> > in Linux 3.0-rc1, but I'm not sure we can easily apply the fix to Linux
> > 2.6.39.
> 
> Please forgive my ignorance: do I understand correctly that Michal's
> symptoms should be gone now?

Yes, that was my expectation.  And I see Michal has confirmed that.

Ben.

-- 
Ben Hutchings
Larkinson's Law: All laws are basically false.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 07:57:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:04:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.